# eoParetoFitnessTraits Class Reference

eoFitnessTraits: a traits class to specify the number of objectives and which one are maximizing or not See test/t-eoParetoFitness for its use. More...

`#include <eoParetoFitness.h>`

Inheritance diagram for eoParetoFitnessTraits:

List of all members.

## Static Public Member Functions

unsigned | nObjectives ()
double | tol ()
bool | maximizing (int which)

## Detailed Description

eoFitnessTraits: a traits class to specify the number of objectives and which one are maximizing or not See test/t-eoParetoFitness for its use.

If you define your own, make sure you make the functions static!

Definition at line 42 of file eoParetoFitness.h.

The documentation for this class was generated from the following file:

- eoParetoFitness.h